## org.openorb.io
Interface ExtendedInputStream

All Known Implementing Classes:
  AbstractInputStream, ListInputStream

public interface ExtendedInputStream

This class implemets extra operations for streams for inserting/extracting fixed types. These operations should be present in the next java streams mapping.

Version:
  $Revision: 1.4 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood

Method Summary
`java.lang.String` `get_codebase()` Get codebase associated with stream.
`ORB` `orb()` Get the orb associated with the stream.
`java.math.BigDecimal` `read_fixed(short digits, short scale)` Fixes problems in old read_fixed.
`java.math.BigDecimal` `read_fixed(TypeCode type)` Fixes problems in old read_fixed.

Method Detail

### orb

    public ORB orb()

  Get the orb associated with the stream.

### read_fixed

    public java.math.BigDecimal read_fixed(TypeCode type)

  Fixes problems in old read_fixed. see http://www.omg.org/issues/issue3431.txt

### read_fixed

    public java.math.BigDecimal read_fixed(short digits,
                                           short scale)

  Fixes problems in old read_fixed. see http://www.omg.org/issues/issue3431.txt

### get_codebase

    public java.lang.String get_codebase()

  Get codebase associated with stream. This will return the contents of any TAG_JAVA_CODEBASE service context when unmarshaling, or otherwise return null.